# This file was auto-generated by Fern from our API Definition.

import datetime as dt
import typing

import typing_extensions

from ..core.datetime_utils import serialize_datetime
from .get_model_response_capabilities_item import GetModelResponseCapabilitiesItem
from .get_model_response_openpipe import GetModelResponseOpenpipe
from .get_model_response_pricing import GetModelResponsePricing

try:
    import pydantic.v1 as pydantic  # type: ignore
except ImportError:
    import pydantic  # type: ignore


class GetModelResponse(pydantic.BaseModel):
    id: str
    name: str
    object: typing_extensions.Literal["model"]
    description: typing.Optional[str]
    created: str
    updated: str
    openpipe: GetModelResponseOpenpipe
    context_window: float = pydantic.Field(alias="contextWindow")
    max_completion_tokens: float = pydantic.Field(alias="maxCompletionTokens")
    capabilities: typing.List[GetModelResponseCapabilitiesItem]
    pricing: GetModelResponsePricing
    owned_by: str

    def json(self, **kwargs: typing.Any) -> str:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().json(**kwargs_with_defaults)

    def dict(self, **kwargs: typing.Any) -> typing.Dict[str, typing.Any]:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().dict(**kwargs_with_defaults)

    class Config:
        frozen = True
        smart_union = True
        allow_population_by_field_name = True
        json_encoders = {dt.datetime: serialize_datetime}
